Subject: Re: [PATCH 00/24] Header cleanups (final splitting of cache.h, and some splitting of other headers)

From: Junio C Hamano <[email-masked]>
Date: Tue, 09 May 2023 09:03:21 -0700

Elijah Newren <[email-masked]> writes:

> Sure, I'm happy to rename ll-merge to merge-ll.  I prefer a suffix
> since it is common to see files sorted by filename (whether by Git or
> by the shell) and the suffix tends to keep similar-ish files together.

It can go both ways, though.  Grouping lower-level things together
has values, too ;-).

If foo and foo-lowleve needs to be grouped and read together to be
understood, it is a sign that the conceptual separation between the
higher- and lower-level things is not done cleanly enough.

Having said that, I do not care too deeply either way, as long as
it makes it easier to locate what we need to in the end result.

Thanks.